net.sf.jasperreports.engine.fill

## Class DefaultPrintElementOriginator

- java.lang.Object
- - net.sf.jasperreports.engine.fill.DefaultPrintElementOriginator

- All Implemented Interfaces:
    PrintElementOriginator

      public class DefaultPrintElementOriginator
      extends java.lang.Object
      implements PrintElementOriginator

  Default `PrintElementOriginator` implementation.
  Version:
    $Id: DefaultPrintElementOriginator.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPrintElementOriginator(int sourceElementId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `generatePrintElementId()` Generates a numerical Id that together with `PrintElementOriginator.getSourceElementId()` uniquely identifies a print element.
    `int` | `getSourceElementId()` Returns a numerical Id associated to the source fill element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPrintElementOriginator

          public DefaultPrintElementOriginator(int sourceElementId)

  - ### Method Detail

    - #### getSourceElementId

          public int getSourceElementId()

      Description copied from interface: `PrintElementOriginator`
      Returns a numerical Id associated to the source fill element.
      Specified by:
        `getSourceElementId` in interface `PrintElementOriginator`
      Returns:
        the Id of the source fill element
      See Also:
        `JRPrintElement.getSourceElementId()`

    - #### generatePrintElementId

          public int generatePrintElementId()

      Description copied from interface: `PrintElementOriginator`
      Generates a numerical Id that together with `PrintElementOriginator.getSourceElementId()` uniquely identifies a print element.
      Specified by:
        `generatePrintElementId` in interface `PrintElementOriginator`
      Returns:
        a print Id
      See Also:
        `JRPrintElement.getPrintElementId()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com